/**
 * Script for plugin_snmplive
 *
 * Fetches the new snmpvalues
 *
 * @author Andreas Gohr <andi@splitbrain.org>
 * @author Michael Luggen <michael.luggen@unifr.ch>
 */
 
function plugin_snmplive(ip,oid){
    var snmpId = ip + oid;
    if(!document.getElementById){
        return;
    }
    var obj = document.getElementById(snmpId);
    if(obj === null){
        return;
    }
 
    // We use SACK to do the AJAX requests
    var ajax = new sack(DOKU_BASE+'lib/plugins/snmplive/ajax.php');
    ajax_qsearch.sack.AjaxFailedAlert = '';
    ajax_qsearch.sack.encodeURIString = false;
 
    // define callback
    ajax.onCompletion = function(){
        var data = this.response;
        if(data === ''){ return; }
        var out = document.getElementById(snmpId);
 
        out.style.visibility = 'hidden';
        out.innerHTML = data;
        out.style.visibility = 'visible';
 
        // restart timer
        window.setTimeout("plugin_snmplive('"+ip+"','"+oid+"')",1000);
    };
 
    ajax.runAJAX('SNMPip='+encodeURI(ip)+'&SNMPoid='+encodeURI(oid));
}
